%define version 1.13.17
%define release 7mdk
%define _bindir /bin

Summary: A GNU file archiving program.
Name: tar
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Archiving/Backup
Source: ftp://ftp.gnu.org/pub/gnu/tar/tar-%{version}.tar.bz2
Patch0: tar-1.13-manpage.patch.bz2
Patch1: tar-1.13-y_filter.patch.bz2
Patch2: tar-1.13.17-fnmatch.patch.bz2
Patch3: tar-1.3.17-excluded_name.patch.bz2
Patch4: tar-1.13.17-ia64.patch.bz2
Patch4: tar-1.13.17-exitcode.patch.bz2
Prereq: /sbin/install-info /sbin/rmt
Buildroot: %{_tmppath}/%{name}-root

%description
The GNU tar program saves many files together into one archive and
can restore individual files (or all of the files) from the archive.
Tar can also be used to add supplemental files to an archive and to
update or list files in the archive.

Tar includes multivolume support, automatic archive compression/
decompression, the ability to perform remote archives and the
ability to perform incremental and full backups.

If you want to use Tar for remote backups, you'll also need to
install the rmt package.

You should install the tar package, because you'll find its
compression and decompression utilities essential for working
with files.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p1

%build
%define optflags $RPM_OPT_FLAGS -DHAVE_STRERROR -D_GNU_SOURCE
%configure  --bindir=/bin --libexecdir=/sbin
%make LIBS=-lbsd

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
ln -sf tar ${RPM_BUILD_ROOT}/bin/gtar
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m644 tar.1 $RPM_BUILD_ROOT%{_mandir}/man1

%find_lang %{name}

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS THANKS AUTHORS README
/bin/tar
/bin/gtar
%{_infodir}/tar.info*
%{_mandir}/man1/tar.1*

%changelog
* Mon Sep 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.13.17-7mdk
- New exit code patch from rh.

* Sun Sep 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.13.17-6mdk
- Fix exit code (rh).

* Thu Jul 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.13.17-5mdk
- BM, add doc

* Thu Jul 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.13.17-4mdk
- BM.
- More macros.

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.13.17-3mdk
- Use makeinstall macros.

* Wed Mar 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.13.17-2mdk
- Clean up specs.
- Adjust groups.
- Merge rh patchs.

* Thu Feb 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.13.17-1mdk
- Make -y alias to -I and document it as obsoltes.
- 1.13.17.

* Tue Jan 11 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.13.11-3mdk
- call configure with LINGUAS unset.

* Mon Nov  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Reinserting -y support patchs.

* Wed Oct 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Split: back to the tar stable version for cassini.

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 1.13.13.

* Thu Oct 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 1.13.12.

* Fri Sep 03 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 1.13.11

* Fri Aug 20 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.13.10

* Fri Aug 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.3.6

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.13.5

* Thu Jul 15 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.13.2
- french description 

* Tue Jul 12 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- 1.13.1

* Fri Jul 09 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.3.
- Patch to handle bzip2.

* Mon Apr 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Update to 1.2.64011.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- add de locale
- some spec tweaks
- bzip2 man/info pages
- Mandrake adaptions
- update to 1.12.64010 to get the -y (--bzip2) option

* Mon Mar 08 1999 Michael Maher <mike@redhat.com>
- added patch for bad name cache. 
- FIXES BUG 320

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- add /usr/bin/gtar symlink (change #421)

* Tue Jul 14 1998 Jeff Johnson <jbj@redhat.com>
- Fiddle bindir/libexecdir to get RH install correct.
- Don't include /sbin/rmt -- use the rmt from dump.
- Turn on nls.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- updated from 1.11.8 to 1.12
- various spec file cleanups
- /sbin/install-info support

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu May 29 1997 Michael Fulbright <msf@redhat.com>
- Fixed to include rmt
